%global _hardened_build 1

# Make reproducible builds possible
%global source_date_epoch_from_changelog 0
%global clamp_mtime_to_source_date_epoch 1
%global use_source_date_epoch_as_buildtime 1
%define _buildhost apkg

%{!?_syprefix: %define _syprefix /opt/symas }
%{!?_etcfix: %define _etcfix %{_syprefix}/etc }
%{!?_sylibdir: %define _sylibdir %{_syprefix}/lib }
%{!?_varfix: %define _varfix /var/symas }
%define debug_package %{nil}

%if 0%{?suse_version}
# We don't seem to have %{dist} in SUSEs, define our own
%{!?dist: %define dist .sles9 }
%endif

Summary: Symas build support
Name: symas-buildtools
Version: 1.0.4
Release: 1%{?dist}
License: BSD
BuildArch: noarch
Source: %{name}-v%{version}.tar.xz

VCS: https://git.symas.net/symas-public/buildtools.git

# Apparently distro setup should fill this in, but can't see where,
# Fake ours from dist and strip the leading dot
Distribution: %(echo %{?dist} | tr -d .)

AutoReqProv: no
# BuildRequires one at a time, microdnf doesn't support comma separated dependencies

%description
The Symas build support

%prep
%setup -qn %{name}-v%{version}

%install
mkdir -p %{buildroot}%{_syprefix}/share/doc/buildtools/
touch %{buildroot}%{_syprefix}/share/doc/buildtools/README
mkdir -p %{buildroot}%{_syprefix}/share/buildtools/vars/
install release_build.py %{buildroot}%{_syprefix}/share/buildtools/vars/

%files
%defattr(-,root,root)
%{_syprefix}/share/doc/buildtools
%{_syprefix}/share/buildtools/vars/release_build.py
# We don't care about precompiled files
%exclude %{_syprefix}/share/buildtools/vars/release_build.py[ocd]

%changelog
* Tue Jun 04 2024 Symas Support <support@symas.com> - 1.0.4-1
- Switch to apkg for packaging
- Make package build reproducibly
